Subject: Re: bug#38926: pcmanfm-qt unable to open files by double click

From: Hartmut Goebel <[email-masked]>
Date: Tue, 7 Jan 2020 12:19:19 +0100

Am 05.01.20 um 23:37 schrieb Danny Milosavljevic:

Re. <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38926>
> No idea how to do that with Qt programs.  Hartmut?

For Qt/KDE I did not actually address this topic yet.

I tend to handle this case-by-case: If the coupling is "tight" and if
this is a hard requirement (or a small dependency) I'd substitute the
paths was you suggested. Otherwise I rely on the required package to be
installed my the user or some service definition.

In this special case: To avoid installing all of glib:bin (and thus
glib), we could create a new package "gio-launch-desktop", containing
only this binary.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |